.menu{
    position: fixed;
    z-index: 999;
    top: 0;
    right: 0;
    width: 100%;
    height: 100vh;
    background: rgba(0,0,0,0.2);
    backdrop-filter: blur(0.25rem);
    -webkit-backdrop-filter: blur(0.25rem);
    display: flex;
    align-items: flex-start;
    justify-content: flex-end;
    transform: translateX(100%);
    opacity: 0;
    visibility: hidden;
    pointer-events: none;
    transition: opacity 0.5s ease, visibility 0s linear 0.5s;
}
.menu.menu-open{
    opacity: 1;
    visibility: visible;
    pointer-events: auto;
    transition: opacity 0.5s ease, visibility 0s linear 0s;
    transform: translateX(0);
}
.menu__spback{
    opacity: 0;
    visibility: hidden;
    pointer-events: none;
    transition: opacity 0.5s ease, visibility 0s linear 0.5s;
    width: min(100%,700px);
    height: 100vh;
    padding: 30px 0;
    background: #160E25;
    border-left: 1px solid #8E7C40;
    min-height: 100%;
    overflow: auto;
    display: flex;
    justify-content: flex-start;
    align-items: center;
}
.menu.menu-open .menu__spback{
    opacity: 1;
    visibility: visible;
    pointer-events: auto;
    transition: opacity 1s ease 0.5s, visibility 0s linear 0.5s;
}
.menu.menu-open .menu__logo{
    width: clamp(200px, 60vw, 350px);
    padding-left: 50px;
    margin: 0 auto calc(clamp(200px, 60vw, 350px) / 8) auto;
}
.menu__close{
    display: block;
}
.menu__item {
    width: 90%;
    position: relative;
}
.menu__list{
    display: flex;
    flex-wrap: nowrap;
    flex-direction: column;
}
.menu__list li{
    width: 100%;
}
.menu__list li a{
    font-family: "Lavishly Yours", cursive;
    padding: 0.2em 0 0.2em 50px;
    font-size: clamp(3rem,8vh,5.5rem);
    color: #a3873a;
    line-height: 1;
}
.menu__list a span{
    font-family: 'Zen Old Mincho';
    font-size: 0.2em;
    margin-left: 1em;
}
.menu__close{
    display: none;
    width: 50px;
    height: 50px;
    border-radius: 50px;
    background: #99a9a5;
    padding: 10px;
    position: absolute;
    top: -60px;
    right: 0;
    transition: all 0.3s ease;
}
.menu__close:hover{
    background: #6d837d;
}
.menu__close_boders {
    display: none;
    width: 100%;
    height: 100%;
    position: relative;
    display: block;
    cursor: pointer;
}
.menu__close_boders::before,
.menu__close_boders::after {
    content: "";
    position: absolute;
    top: 50%;
    left: 0;
    width: 100%;
    height: 3px;
    border-radius: 2px;
    background: #333;
}
.menu__close_boders::before {
    transform: translateY(-50%) rotate(45deg);
}
.menu__close_boders::after {
    transform: translateY(-50%) rotate(-45deg);
}
.menu__hamb{
    position: fixed;
    top: 0;
    right: 23px;
    z-index: 999;
    width: 90px;
    height: 90px;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    background: #160E25;
    transition: all 0.3s ease;
    border: 2px solid #8E7C40;
    padding: 5px;
}

.offical__x{
    position: fixed;
    top: 100px;
    right: calc((90px - 60px) / 2 + 25px);
    z-index: 999;
    width: 60px;
}
.frame-l,.frame-r{
    position: fixed;
    z-index: 9999;
    top: 0;
    width: 25px;
    height: 100dvh;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    flex-direction: column;
    align-items: center;
    line-height: 1;
    background: #160E25;
    border: 2px solid #8E7C40;
}
.frame-l{
    left: 0;
}
.frame-r{
    right: 0;
}
.framedec__top,
.framedec__bottom,
.framedec__center{
    opacity: 0.8;
}
.framedec__top,
.framedec__bottom{
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-direction: column;
    position: relative;
    height: 25%;
}
.framedec__top{
    padding-bottom: 20px;
}
.framedec__bottom{
    padding-top: 20px;
}
.framedec__top::before,
.framedec__bottom::before{
    content: '';
    width: 100%;
    height: 10px;
    position: absolute;
    right: 0;
    border-top: 2px solid #8E7C40;
    border-bottom: 2px solid #8E7C40;
}
.framedec__top::before{
    bottom: -10px;
}
.framedec__bottom::before{
    top: -10px;
}
.framedec__top::after,
.framedec__bottom::after{
    content: '';
    background: url('../img/dec__title-gold.png');
    background-size: cover;
    background-repeat: no-repeat;
    width: calc(100% + 4px);
    position: absolute;
    right: -2px;
    height: min(2vh, 13px);
}
.framedec__top::after{
    bottom: 0;
    transform: rotate(180deg);
}
.framedec__bottom::after{
    top: 0;
}

.framedec__topimg{
    height: min(10vh, 66px);
}
.framedec__bottomimg{
    height: min(9vh, 58px);
}

.frame-l .framedec__top img{
    transform: scaleX(-1);
}
.frame-r .framedec__bottom img{
    transform: rotate(180deg);
}
.frame-l .framedec__bottom img{
    transform: scaleX(-1) rotate(180deg);
}
.framedec__center{
    width: 21px;
    height: 50%;
    position: relative;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 4px;
}
.framedec__text{
    margin: auto;
    transform: rotate(180deg);
    height: min(45vh, 200px);
}

@media screen and (max-width: 640px) {
    .frame-l,.frame-r{
        width: 15px;
        border: 1px solid #8E7C40;
    }
    .framedec__center {
        width: 13px;
        padding: 0 2px;
    }
    .framedec__text {
        height: min(18vh, 200px);
    }
    .framedec__top::before, .framedec__bottom::before {
        border-top: 1px solid #8E7C40;
        border-bottom: 1px solid #8E7C40;
    }
    .framedec__topimg {
        height: min(10vh, 37px);
    }
    .framedec__bottomimg {
        height: min(9vh, 48px);
    }
    .framedec__top::after, .framedec__bottom::after {
        height: min(2vh, 9px);
        background-position: center;
        position: absolute;
        right: 0px;
        width: 100%;
    }
    .frame-l, .frame-r {
        border: none;
    }
    .frame-l {
        border-right: 1px solid #8E7C40;
    }
    .frame-r {
        border-left: 1px solid #8E7C40;
    }
    .menu__hamb {
        border: none;
        border-left: 1px solid #8E7C40;
        border-bottom: 1px solid #8E7C40;
        width: 70px;
        height: 70px;
        right: 15px;
    }
    .offical__x {
        top: 80px;
        width: 45px;
        right: 25px;
    }
}